Method: remediationPlans.list

Full name: projects.locations.instances.remediationPlans.list

Lists Remediation Plans with optional filtering.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/remediationPlans

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. Parent resource to list plans under.

Query parameters

Parameters
pageSize

integer

Optional. Items per page.

pageToken

string

Optional. Token for pagination.

filter

string

Optional. Filter for plans.

orderBy

string

Optional. Order for listing plans.

expand

string

Optional. Expand the response to include related sub-resources. Supported values: * actions * latestExecution example: "actions, latestExecution"

Request body

The request body must be empty.

Response body

Response payload for remediationPlans.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "remediationPlans": [
    {
      object (RemediationPlan)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
remediationPlans[]

object (RemediationPlan)

A list of remediation plans.

nextPageToken

string

Token to retrieve the next page of results.

totalSize

integer

Total plans in the collection.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.